com.android.agf.activities

## Class MainActivity.TabManager

- java.lang.Object
- - com.android.agf.activities.MainActivity.TabManager

- All Implemented Interfaces:
    TabHost.OnTabChangeListener
  Enclosing class:
    MainActivity

      public static class MainActivity.TabManager
      extends Object
      implements TabHost.OnTabChangeListener

  classe local per gestionar els tabs amb els fragments incrustats
  Author:
    albert

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `MainActivity.TabManager.DummyTabFactory`
    `(package private) static class` | `MainActivity.TabManager.TabInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) MainActivity.TabManager.TabInfo` | `mLastTab`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainActivity.TabManager(FragmentActivity activity, TabHost tabHost, int containerId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTab(TabHost.TabSpec tabSpec, Class<?> clss, Bundle args)`
    `void` | `onTabChanged(String tabId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mLastTab

          MainActivity.TabManager.TabInfo mLastTab

  - ### Constructor Detail

    - #### MainActivity.TabManager

          public MainActivity.TabManager(FragmentActivity activity,
                                 TabHost tabHost,
                                 int containerId)

  - ### Method Detail

    - #### addTab

          public void addTab(TabHost.TabSpec tabSpec,
                    Class<?> clss,
                    Bundle args)

    - #### onTabChanged

          public void onTabChanged(String tabId)

      Specified by:
        `onTabChanged` in interface `TabHost.OnTabChangeListener`